curl --request PATCH \
--url https://catchall.newscatcherapi.com/catchAll/monitors/{monitor_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"webhook_ids": [
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
]
}
'{
"monitor_id": "3fec5b07-8786-46d7-9486-d43ff67eccd4",
"status": "Monitor updated Successfully"
}{
"detail": "X-API-Key header is required for this endpoint"
}{
"detail": "Invalid API key"
}{
"detail": "Invalid API key"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Update event monitor
Update the webhook assignments, record limit, or schedule of an existing event monitor. Omitted fields are left unchanged.
Passing schedule replaces the event monitor’s current schedule. The new
schedule takes effect from the next scheduler reload, and the old schedule
stops firing. The reference job cannot be changed.
curl --request PATCH \
--url https://catchall.newscatcherapi.com/catchAll/monitors/{monitor_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"webhook_ids": [
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
]
}
'{
"monitor_id": "3fec5b07-8786-46d7-9486-d43ff67eccd4",
"status": "Monitor updated Successfully"
}{
"detail": "X-API-Key header is required for this endpoint"
}{
"detail": "Invalid API key"
}{
"detail": "Invalid API key"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication.
Path Parameters
Event monitor identifier.
Body
Updated list of centralized webhook IDs for this event monitor.
Replaces all existing webhook assignments. Pass an empty array [] to clear all assignments. Omit to leave existing assignments unchanged.
["a1b2c3d4-e5f6-7890-abcd-ef1234567890"]
Updated maximum number of records per event monitor run.
x >= 10New natural-language schedule that replaces the event monitor's current
schedule. Examples: every day at 9 AM, every Monday at 6 PM EST.
Omit to keep the current schedule. The new schedule takes effect from the
next scheduler reload, and the old schedule stops firing. Returns 422 if
the text can't be parsed or runs would be spaced too closely.
"every day at 9 AM"
IANA timezone for the new schedule (for example, America/New_York).
A timezone included in the schedule text takes precedence. Ignored if
schedule is not set.
"America/New_York"
Was this page helpful?

